Subject: Re: bug#78522: 31.0.50; Conflict between standard-display-unicode-special-glyphs and whitespace-mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Jun 2025 12:24:10 +0300

> Cc: [email-masked], [email-masked], [email-masked]
> Date: Sun, 01 Jun 2025 12:53:28 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Visuwesh <[email-masked]>
> > Cc: Ergus <[email-masked]>,  [email-masked],  [email-masked]
> > Date: Sun, 01 Jun 2025 15:16:25 +0530
> > 
> > [சனி மே 31, 2025] Eli Zaretskii wrote:
> > 
> > >> Date: Thu, 29 May 2025 21:14:35 +0000 (UTC)
> > >> From: Ergus <[email-masked]>
> > >> Cc: "[email-masked]" <[email-masked]>, 
> > >> 	"[email-masked]" <[email-masked]>
> > >> 
> > >> > > M-x standard-display-unicode-special-glyphs ;; This looks as expected
> > >> > > M-x whitespace-mode ;; reverts the effect
> > >> > 
> > >> > This part of the issue is still there exactly like before.
> > >> 
> > >> ??? I've just tried, and it definitely does solve the problem here.
> > >> 
> > >> Or maybe I don't understand well enough what you mean by "reverts the
> > >> effect"?  You've never actually shown a recipe with detailed
> > >> explanations which explain what exactly is "reverted".  Because
> > >> standard-display-unicode-special-glyphs by itself doesn't change
> > >> anything on display in 'emacs -Q", you must do something else to see
> > >> its effect.  In my testing, I used "C-x 3", which shows the vertical
> > >> border between two windows using a Unicode character when
> > >> standard-display-unicode-special-glyphs is in effect.  Before my
> > >> changes, whitespace-mode would revert the border back to the ASCII
> > >> characters they used originally; after my changes this no longer
> > >> happens.
> > >> emacs -Q -nwC-x 3    ;; See the vertical division line with |
> > >> S-M-: (standard-display-unicode-special-glyphs) ;; See the vertical division line with #x2502
> > >> M-x whitespace-mode ;; See the vertical division line reverted to |
> > >> M-x whitespace-mode ;; whitespace mode disabled vertical divisor back to #x2502
> > >> M-x whitespace-mode ;; whitespace mode enabled again, vertical divisor stays #x2502
> > >
> > > I cannot reproduce the revert in the initial "M-x whitespace-mode".  I
> > > wonder whether you have some local copy of whitespace.el which shadows
> > > the one you patched, or some other local customization.
> > >
> > > Can anyone else try the patch and the recipe, and report back?
> > 
> > After saying M-x whitespace-mode the first time, the vertical division
> > line is not changed to the ASCII pipe character with the patch applied.
> > Needless to say, turning off whitespace-mode and on again does not make
> > the vertical division line go back to being the ASCII character either.
> > 
> > This was all tested in Xterm, if it matters.
> 
> Thanks.  This matches what I see, so I think the bug will be solved by
> the patch.  I will install it in a few days, unless someone comes up
> with a reproducible recipe that proves we still have problems to solve
> in this scenario.

No further comments, so I've now installed my changes on the master
branch, and I'm closing this bug.